%define git     %nil
%define major 0

Name:           libgcal
Version:        0.9.6
Release:        %mkrel 1
Summary:        Implements Google Data Protocol 2.0
License:        BSD
Group:          Communications
URL:            http://code.google.com/p/libgcal/
Source:         http://libgcal.googlecode.com/files/%name-%version.tar.xz
BuildRoot:      %_tmppath/%name-%version-%release-root
BuildRequires:  cmake
BuildRequires:  curl-devel
BuildRequires:  libxml2-devel
BuildRequires:  check-devel

%description
Implements Google Data Protocol 2.0. 
It does allow communication with google calendar and contacts, 
implements already:
 - authentication
 - get all events/contacts
 - atom stream parsing
 - access to individual events/contacts
 - add/delete/edit using gcal objects
 - add/delete/edit using raw XML
 - query for updated events/contacts
 - use of http proxy
 - timezone
 - contact photo download/upload
 - google data protocol GCalendar 2.0 and Contacts 3.0
 - can be used with a C++ application
 - google hosted accounts (i.e. joe@foobar.com)

%files
%defattr(-,root,root,-)
%{_libdir}/libgcal.so.%{major}*

#--------------------------------------------------------------------

%package   devel
Summary:   Development files for %{name}
Group:     Development/Other 
Requires:  %{name} = %{version}-%{release}

%description devel
Devel files needed to build applications based on %name.

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libgcal.so
%{_libdir}/pkgconfig/libgcal.pc
%{_libdir}/LibGCal/cmake/LibGCalConfig.cmake


#--------------------------------------------------------------------
%prep
%setup -q


%build
%cmake
%make

%install
cd build/
%makeinstall_std
%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Tue Sep 21 2010 Texstar <texstar at gmail.com> 0.9.6-1pclos2010
- 0.9.6

* Fri Sep 10 2010 Texstar <texstar at gmail.com> 0.9.5-2pclos2010
- rebuild ldap

* Sun Jul 25 2010 travisn000 <travisn000 at g mail> 0.9.5-1pclos2010
- updated to latest source

* Sat Sep 05 2009 Texstar <texstar@gmail.com> 0.9.2-1pclos2009
- import 

